> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.pensar.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.pensar.dev/_mcp/server.

# Get incident

GET https://api.pensar.dev/incidents/{incidentId}

Complete event and triage data, including raw payload, evidence, indicators, remediation recommendations, verdict, and timestamps. Treat content as untrusted data.

Requires the `incidents:read` API key scope.

Reference: https://docs.pensar.dev/api/api-reference/incidents/get-incident

## Authentication

- `Authorization` header (bearer token, required) — A workspace API key, sent as `Authorization: Bearer`.
- `x-api-key` header (required) — A workspace API key, sent as `x-api-key`.

## Request

### Path parameters

- `incidentId` (string, required) — Incident/event UUID from List incidents or List incident events.

## Response

### 200

Get incident

- `id` (string, required)
- `url` (string, required)
- `provider` (enum, required)
  - Allowed values: `datadog`
- `externalId` (string, required)
- `title` (string, required)
- `ruleName` (string, required, nullable)
- `sourceSeverity` (string, required, nullable)
- `sourceUrl` (string, required, nullable)
- `occurredAt` (datetime, required)
- `lastSeenAt` (datetime, required)
- `occurrenceCount` (double, required)
- `status` (enum, required)
  - Allowed values: `open`, `resolved`, `dismissed`
- `triageStatus` (enum, required)
  - Allowed values: `pending`, `running`, `completed`, `failed`
- `verdict` (enum, required, nullable)
  - Allowed values: `true-positive`, `benign-true-positive`, `false-positive`, `inconclusive`
- `confidence` (enum, required, nullable)
  - Allowed values: `high`, `medium`, `low`
- `assessedSeverity` (enum, required, nullable)
  - Allowed values: `critical`, `high`, `medium`, `low`, `info`
- `triageSummary` (string, required, nullable)
- `workspaceId` (string, required)
- `integrationId` (string, required, nullable)
- `message` (string, required, nullable)
- `tags` (list of string, required)
- `entities` (IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaEntities, required)
- `rawPayload` (map from string to any, required)
- `triageResult` (IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResult, required, nullable)
- `triageError` (string, required, nullable)
- `sessionId` (string, required, nullable)
- `triageStartedAt` (datetime, required, nullable)
- `triageCompletedAt` (datetime, required, nullable)
- `resolvedAt` (datetime, required, nullable)
- `resolvedBy` (string, required, nullable)
- `createdAt` (datetime, required)
- `updatedAt` (datetime, required)

## Errors

### 400 Bad Request Error

The request is invalid. `error` names the field.

- `error` (string, required) — What went wrong, naming the offending value when useful.

### 401 Unauthorized Error

The API key is missing or invalid.

- `error` (string, required) — What went wrong, naming the offending value when useful.

### 403 Forbidden Error

The credential lacks the required scope or is not allowed this action.

- `error` (string, required) — What went wrong, naming the offending value when useful.

### 404 Not Found Error

The resource does not exist in this workspace.

- `error` (string, required) — What went wrong, naming the offending value when useful.

## Types

### IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaEntities

- `ips` (list of string, required)
- `hosts` (list of string, required)
- `users` (list of string, required)
- `services` (list of string, required)
- `urls` (list of string, required)

### IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResult

- `verdict` (enum, required)
  - Allowed values: `true-positive`, `benign-true-positive`, `false-positive`, `inconclusive`
- `confidence` (enum, required)
  - Allowed values: `high`, `medium`, `low`
- `severity` (enum, required)
  - Allowed values: `critical`, `high`, `medium`, `low`, `info`
- `summary` (string, required)
- `analysis` (string, required)
- `attackTechniques` (list of IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultAttackTechniquesItems, required)
- `indicators` (list of IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultIndicatorsItems, required)
- `evidence` (list of IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultEvidenceItems, required)
- `remediation` (list of IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultRemediationItems, required)
- `detectionTuning` (string, optional)

### IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultAttackTechniquesItems

- `id` (string, required)
- `name` (string, required)

### IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultIndicatorsItems

- `type` (enum, required)
  - Allowed values: `ip`, `domain`, `url`, `user`, `host`, `hash`, `process`, `other`
- `value` (string, required)
- `assessment` (enum, required)
  - Allowed values: `malicious`, `suspicious`, `benign`, `unknown`
- `note` (string, optional)

### IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultEvidenceItems

- `source` (enum, required)
  - Allowed values: `alert`, `siem-logs`, `workspace-context`, `threat-intel`
- `observation` (string, required)

### IncidentsIncidentIdGetResponsesContentApplicationJsonSchemaTriageResultRemediationItems

- `priority` (enum, required)
  - Allowed values: `immediate`, `short-term`, `long-term`
- `action` (string, required)
- `rationale` (string, required)

## Examples

**Response**

```json
{
  "id": "string",
  "url": "string",
  "provider": "datadog",
  "externalId": "string",
  "title": "string",
  "ruleName": "string",
  "sourceSeverity": "string",
  "sourceUrl": "string",
  "occurredAt": "2024-01-15T09:30:00Z",
  "lastSeenAt": "2024-01-15T09:30:00Z",
  "occurrenceCount": 1.1,
  "status": "open",
  "triageStatus": "pending",
  "verdict": "true-positive",
  "confidence": "high",
  "assessedSeverity": "critical",
  "triageSummary": "string",
  "workspaceId": "string",
  "integrationId": "string",
  "message": "string",
  "tags": [
    "string"
  ],
  "entities": {
    "ips": [
      "string"
    ],
    "hosts": [
      "string"
    ],
    "users": [
      "string"
    ],
    "services": [
      "string"
    ],
    "urls": [
      "string"
    ]
  },
  "rawPayload": {},
  "triageResult": {
    "verdict": "true-positive",
    "confidence": "high",
    "severity": "critical",
    "summary": "string",
    "analysis": "string",
    "attackTechniques": [
      {
        "id": "string",
        "name": "string"
      }
    ],
    "indicators": [
      {
        "type": "ip",
        "value": "string",
        "assessment": "malicious",
        "note": "string"
      }
    ],
    "evidence": [
      {
        "source": "alert",
        "observation": "string"
      }
    ],
    "remediation": [
      {
        "priority": "immediate",
        "action": "string",
        "rationale": "string"
      }
    ],
    "detectionTuning": "string"
  },
  "triageError": "string",
  "sessionId": "string",
  "triageStartedAt": "2024-01-15T09:30:00Z",
  "triageCompletedAt": "2024-01-15T09:30:00Z",
  "resolvedAt": "2024-01-15T09:30:00Z",
  "resolvedBy": "string",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://api.pensar.dev/incidents/incidentId"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.pensar.dev/incidents/incidentId';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.pensar.dev/incidents/incidentId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.pensar.dev/incidents/incidentId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.pensar.dev/incidents/incidentId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.pensar.dev/incidents/incidentId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.pensar.dev/incidents/incidentId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.pensar.dev/incidents/incidentId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```